package com.bawei.common.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 区间查询对象
 *
 * @program: mall_cloud
 * @ClassName: SectionQuery
 * @author: Gyc
 * @create: 2024-04-28 12:21
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SectionQuery {
    //对多个字段进行区间查询
    private String field;
    //区间查询的起始值
    private Object start;
    //区间查询的结束值
    private Object end;


}
