package com.bawei.cache.db;

import com.bawei.cache.BaseCache;

/**
 * @author DongZl
 * @description: 数据库缓存基类
 * @Date 2022-10-18 下午 03:05
 */
public interface BaseDatabaseCache<K,V> extends BaseCache<K,V> {

    /**
     * 通过ID获取数据库内数据
     * @param key 数据ID
     * @return
     */
    public V getData(K key);

    /**
     * 基于Key进行刷新
     * @param key
     * @return
     */
    public boolean refreshData(K key);
}
