package com.bawei.mall.car.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 中间表
 *
 * @program: mall_cloud
 * @ClassName: CarBySku
 * @author: Gyc
 * @create: 2024-05-06 15:58
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CarBySku {
    @ApiModelProperty(value = "主键")
    private Integer id;
    @ApiModelProperty(value = "购物车id")
    private String carId;
    @ApiModelProperty(value = "skuId")
    private Integer skuId;
    @ApiModelProperty(value = "数量")
    private Integer number;
    @ApiModelProperty(value = "创建人")
    private Integer createBy;
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty(value = "更新人")
    private Integer updateBy;
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
