package com.bawei.mall.car.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * 购物车
 *
 * @program: mall_cloud
 * @ClassName: MallProductSkuCarInfo
 * @author: Gyc
 * @create: 2024-05-08 10:30
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MallProductSkuCarInfo {

    private List<ProductSkuInfo> productSkuInfo;

    private ProductPrices productPrices;


}
