package com.bawei.mall.car.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @program: mall_cloud
 * @ClassName: OrderInfo
 * @author: Gyc
 * @create: 2024-05-10 20:03
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class OrderInfo {
    //订单编号
    private Integer orderId;
    //订单状态
    private Integer productStatus;
    //商品信息
    private ProductSkuInfo productSkuInfo;
    //订单价格
    private ProductPrices productPrices;
}
