package com.bawei.mall.car.controller;

import com.bawei.common.core.domain.R;
import com.bawei.mall.car.service.OrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 订单控制层
 *
 * @program: mall_cloud
 * @ClassName: OrderController
 * @author: Gyc
 * @create: 2024-05-10 19:33
 **/
@RestController
public class OrderController {
    @Autowired
    private OrderService orderService;

    @PostMapping("/addOrder")
    public R addOrder(@RequestBody List<Integer> skuIds) {
      return R.ok( orderService.addOrder(skuIds));

    }
}
