package com.bawei.mall.car.controller;

import com.bawei.mall.car.service.PaymentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 支付控制层
 *
 * @program: mall_cloud
 * @ClassName: PaymentController
 * @author: Gyc
 * @create: 2024-05-12 16:24
 **/
@RestController
public class PaymentController {
    @Autowired
    private PaymentService paymentService;

    @GetMapping("/pay/{orderId}")
    public String pay(@PathVariable String orderId) {
        return paymentService.pay(orderId);
    }






}
