package com.bawei.mall.search.domain.request;

import com.bawei.common.core.constant.Constants;

/**
 * @author DongZl
 * @description: 查询请求对象
 * @Date 2022-10-24 下午 03:07
 */
public class SearchReq {

    /**
     * 主键
     */
    private String keyWord;

    /**
     * 字符集
     */
    private String ev = Constants.UTF8;

    /**
     * 分页大小
     */
    private Integer pageSize = 5;

    /**
     * 分页页数
     */
    private Integer pageNum = 1;

    public String getKeyWord () {
        return keyWord;
    }

    public void setKeyWord (String keyWord) {
        this.keyWord = keyWord;
    }

    public String getEv () {
        return ev;
    }

    public void setEv (String ev) {
        this.ev = ev;
    }

    public Integer getPageSize () {
        return pageSize;
    }

    public void setPageSize (Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Integer getPageNum () {
        return pageNum;
    }

    public void setPageNum (Integer pageNum) {
        this.pageNum = pageNum;
    }
}
