package com.bawei.mall.search.es.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author DongZl
 * @description: es配置
 * @Date 2022-10-14 上午 11:15
 */
@ConfigurationProperties(
        prefix = "es"
)
@Configuration
public class EsConfig implements Serializable {

    private List<EsAddressConfig> addressList = null;

    public List<EsAddressConfig> getAddressList () {
        return addressList;
    }

    public void setAddressList (List<EsAddressConfig> addressList) {
        this.addressList = addressList;
    }

    @Override
    public String toString () {
        return "EsConfig{" +
                "addressList=" + addressList +
                '}';
    }
}
