package com.bawei.common.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @program: mall_cloud
 * @ClassName: MultiQuery
 * @author: Gyc
 * @create: 2024-04-28 12:27
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MultiQuery {

    private String indexName;
    //模糊查询对象
    private FuzzyQuery fuzzyQuery;
    //精确查询对象
    private PreciseQuery preciseQuery;
    //区间查询对象
    private SectionQuery sectionQuery;
    //排序对象
    private Sort sort;
}
