package com.bawei.mall.car.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @program: mall_cloud
 * @ClassName: ProductPrices
 * @author: Gyc
 * @create: 2024-05-08 14:01
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ProductPrices {
    //总价格
    private BigDecimal price;
    //优惠
    private BigDecimal specialOffer;
    //优惠后价格
    private BigDecimal afterDiscounts;

}
