package com.bawei.mall.car.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @program: mall_cloud
 * @ClassName: ProductSkuInfo
 * @author: Gyc
 * @create: 2024-05-08 10:31
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ProductSkuInfo implements Serializable {
    //skuId
    private Long skuId;
    //购物车编号
    private String carId;
    //sku名称
    private String skuName;
    //价格
    private BigDecimal skuPrice;
    //商品名称
    private String title;
    //主图
    private String image;
    //商品数量
    private Integer buyNumber;
    //购买数量
    private Integer number;




}
