package com.bawei.mall.car;

import com.bawei.common.security.annotation.EnableCustomConfig;
import com.bawei.common.security.annotation.EnableRyFeignClients;
import com.bawei.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @program: mall_cloud
 * @ClassName: BaweiMallCarApplication
 * @author: Gyc
 * @create: 2024-05-06 11:54
 **/
@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@SpringBootApplication
@EnableScheduling
public class BaweiMallCarApplication {
    public static void main(String[] args) {
        SpringApplication.run(BaweiMallCarApplication.class,args);
        System.out.println("(♥◠‿◠)ﾉﾞ  购物车模块启动成功   ლ(´ڡ`ლ)ﾞ  ");
    }
}
