package com.bawei.mall.search;

import com.bawei.common.security.annotation.EnableCustomConfig;
import com.bawei.common.security.annotation.EnableRyFeignClients;
import com.bawei.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

/**
 * @author DongZl
 * @description: 搜索服务启动类
 * @Date 2022-10-14 上午 10:22
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@SpringBootApplication
@ComponentScan( value = "com.bawei.mall")
public class BaWeiMallSearchApplication {

    public static void main(String[] args) {
        SpringApplication.run(BaWeiMallSearchApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  商城 - 搜索模块启动成功   ლ(´ڡ`ლ)ﾞ  ");
    }
}
